Description

I have received a question by Nukri Komin about OpenMP and I don't know the answer which is why I post it here:

Is there a way to set the maximum number of cores to be used by OpenMP? E.g. is it possible to set this during the configure step?

History

#1 - 08/02/2016 11:28 AM - Mayer Michael

- Description updated

#2 - 08/02/2016 10:42 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

It is not possible to fix this number at compile time.

The number of threads for OpenMP is actually set by an environment variable, so it's sufficient to set this variable before starting the code:

export OMP_NUM_THREADS=<number of threads to use>

This information should be added to the user documentation.

#3 - 08/04/2016 09:41 AM - Komin Nukri

Hi Jürgen,

That's exactly what I need. I want to set the number of threads for each job individually. Thanks a lot.

Cheers,

Nukri

#4 - 08/04/2016 10:59 AM - Knödlseder Jürgen
- Tracker changed from Support to Action

- Subject changed from Limit OpenMP cores during configure step? to Add information of how to set number of cores with OpenMP to user

documentation

Changed title and type of tracker to not forget about adding this to the documentation.

#5 - 07/25/2018 10:13 PM - Knödlseder Jürgen

- Project changed from GammaLib to ctools

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

All ctools using OpenMP now have an nthreads parameter, so this issue has become obsolete.
